server:
  servlet:
    context-path: '/api/analytics-service'
  port: 8080

management:
  endpoints:
    web:
      exposure:
        include: [ 'prometheus', 'health', 'info' ]

spring:
  application:
    name: analytics-service
  datasource:
    url: jdbc:postgresql://analytics-db:5432/analytics_db
    username: analytics_service
    password: changemelater
    driver-class-name: org.postgresql.Driver
  jpa:
    hibernate:
      ddl-auto: validate
  flyway:
    locations: db/migration
